package org.bitbucket.bradleysmithllc.etlagent.informatica.dto;

import com.google.gson.stream.JsonWriter;

import java.io.IOException;

public class DeleteFolderRequestDTO extends BaseRepositoryRequestDTO
{
	private final String folder;
	private final boolean failIfNotExists;

	public DeleteFolderRequestDTO(String folder) {
		this(folder, true);
	}

	public DeleteFolderRequestDTO(String folder, boolean failIfNotExists) {
		this.folder = folder;

		this.failIfNotExists = failIfNotExists;
	}

	public String getFolder() {
		return folder;
	}
}